it.csi.mddtools.guigen

## Enum InfoSourceTypes

- java.lang.Object
- - java.lang.Enum<InfoSourceTypes>
  - - it.csi.mddtools.guigen.InfoSourceTypes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<InfoSourceTypes>, org.eclipse.emf.common.util.Enumerator

      public enum InfoSourceTypes
      extends java.lang.Enum<InfoSourceTypes>
      implements org.eclipse.emf.common.util.Enumerator

  A representation of the literals of the enumeration 'Info Source Types', and utility methods for working with them.
  See Also:
    `GuigenPackage.getInfoSourceTypes()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `REQUEST_ATTRIBUTE` The 'REQUEST ATTRIBUTE' literal object
    `REQUEST_COOKIE` The 'REQUEST COOKIE' literal object
    `REQUEST_HEADER` The 'REQUEST HEADER' literal object
    `REQUEST_PARAM` The 'REQUEST PARAM' literal object
    `REQUEST_URL` The 'REQUEST URL' literal object
    `SESSION_ATTRIBUTE` The 'SESSION ATTRIBUTE' literal object

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `REQUEST_ATTRIBUTE_VALUE` The 'REQUEST ATTRIBUTE' literal value
    `static int` | `REQUEST_COOKIE_VALUE` The 'REQUEST COOKIE' literal value
    `static int` | `REQUEST_HEADER_VALUE` The 'REQUEST HEADER' literal value
    `static int` | `REQUEST_PARAM_VALUE` The 'REQUEST PARAM' literal value
    `static int` | `REQUEST_URL_VALUE` The 'REQUEST URL' literal value
    `static int` | `SESSION_ATTRIBUTE_VALUE` The 'SESSION ATTRIBUTE' literal value
    `static java.util.List<InfoSourceTypes>` | `VALUES` A public read-only list of all the 'Info Source Types' enumerators

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InfoSourceTypes` | `get(int value)` Returns the 'Info Source Types' literal with the specified integer value
    `static InfoSourceTypes` | `get(java.lang.String literal)` Returns the 'Info Source Types' literal with the specified literal value
    `static InfoSourceTypes` | `getByName(java.lang.String name)` Returns the 'Info Source Types' literal with the specified name
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
    `static InfoSourceTypes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static InfoSourceTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REQUEST_PARAM

          public static final InfoSourceTypes REQUEST_PARAM

      The 'REQUEST PARAM' literal object.
      See Also:
        `REQUEST_PARAM_VALUE`

    - #### REQUEST_HEADER

          public static final InfoSourceTypes REQUEST_HEADER

      The 'REQUEST HEADER' literal object.
      See Also:
        `REQUEST_HEADER_VALUE`

    - #### REQUEST_COOKIE

          public static final InfoSourceTypes REQUEST_COOKIE

      The 'REQUEST COOKIE' literal object.
      See Also:
        `REQUEST_COOKIE_VALUE`

    - #### SESSION_ATTRIBUTE

          public static final InfoSourceTypes SESSION_ATTRIBUTE

      The 'SESSION ATTRIBUTE' literal object.
      See Also:
        `SESSION_ATTRIBUTE_VALUE`

    - #### REQUEST_ATTRIBUTE

          public static final InfoSourceTypes REQUEST_ATTRIBUTE

      The 'REQUEST ATTRIBUTE' literal object.
      See Also:
        `REQUEST_ATTRIBUTE_VALUE`

    - #### REQUEST_URL

          public static final InfoSourceTypes REQUEST_URL

      The 'REQUEST URL' literal object.
      See Also:
        `REQUEST_URL_VALUE`

  - ### Field Detail

    - #### REQUEST_PARAM_VALUE

          public static final int REQUEST_PARAM_VALUE

      The 'REQUEST PARAM' literal value.

      If the meaning of 'REQUEST PARAM' literal object isn't clear, there really should be more of a description here...

      See Also:
        `REQUEST_PARAM`, Constant Field Values

    - #### REQUEST_HEADER_VALUE

          public static final int REQUEST_HEADER_VALUE

      The 'REQUEST HEADER' literal value.

      If the meaning of 'REQUEST HEADER' literal object isn't clear, there really should be more of a description here...

      See Also:
        `REQUEST_HEADER`, Constant Field Values

    - #### REQUEST_COOKIE_VALUE

          public static final int REQUEST_COOKIE_VALUE

      The 'REQUEST COOKIE' literal value.

      If the meaning of 'REQUEST COOKIE' literal object isn't clear, there really should be more of a description here...

      See Also:
        `REQUEST_COOKIE`, Constant Field Values

    - #### SESSION_ATTRIBUTE_VALUE

          public static final int SESSION_ATTRIBUTE_VALUE

      The 'SESSION ATTRIBUTE' literal value.

      If the meaning of 'SESSION ATTRIBUTE' literal object isn't clear, there really should be more of a description here...

      See Also:
        `SESSION_ATTRIBUTE`, Constant Field Values

    - #### REQUEST_ATTRIBUTE_VALUE

          public static final int REQUEST_ATTRIBUTE_VALUE

      The 'REQUEST ATTRIBUTE' literal value.

      If the meaning of 'REQUEST ATTRIBUTE' literal object isn't clear, there really should be more of a description here...

      See Also:
        `REQUEST_ATTRIBUTE`, Constant Field Values

    - #### REQUEST_URL_VALUE

          public static final int REQUEST_URL_VALUE

      The 'REQUEST URL' literal value.

      If the meaning of 'REQUEST URL' literal object isn't clear, there really should be more of a description here...

      See Also:
        `REQUEST_URL`, Constant Field Values

    - #### VALUES

          public static final java.util.List<InfoSourceTypes> VALUES

      A public read-only list of all the 'Info Source Types' enumerators.

  - ### Method Detail

    - #### values

          public static InfoSourceTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InfoSourceTypes c : InfoSourceTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InfoSourceTypes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static InfoSourceTypes get(java.lang.String literal)

      Returns the 'Info Source Types' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static InfoSourceTypes getByName(java.lang.String name)

      Returns the 'Info Source Types' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static InfoSourceTypes get(int value)

      Returns the 'Info Source Types' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<InfoSourceTypes>`